> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Margin Call Details

> Retrieve the margin call details for a given entity.



## OpenAPI

````yaml GET /v1/entities/{entity_id}/futures/margin_call_details
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/futures/margin_call_details:
    get:
      tags:
        - Futures
      summary: Get FCM Margin Call Details
      description: Retrieve the margin call details for a given entity.
      operationId: PrimeRESTAPI_GetFcmMarginCallDetails
      parameters:
        - name: entity_id
          in: path
          description: Entity ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetFcmMarginCallDetailsResponse
components:
  schemas:
    coinbase.public_rest_api.GetFcmMarginCallDetailsResponse:
      type: object
      properties:
        margin_calls:
          type: array
          description: List of margin calls
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.FCMMarginCall'
    coinbase.public_rest_api.FCMMarginCall:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/coinbase.public_rest_api.FcmMarginCallType'
        state:
          $ref: '#/components/schemas/coinbase.public_rest_api.FcmMarginCallState'
        initial_amount:
          type: string
          description: Initial margin call amount to settle
          example: '1000.00'
        remaining_amount:
          type: string
          description: Remaining margin call amount to settle
          example: '500.00'
        business_date:
          type: string
          description: Business date when the margin call was opened
          format: date-time
          example: '2021-01-01T00:00:00.000Z'
        cure_deadline:
          type: string
          description: The deadline by which the margin call must be satisfied
          format: date-time
          example: '2021-01-01T00:00:00.000Z'
    coinbase.public_rest_api.FcmMarginCallType:
      type: string
      default: FCM_MARGIN_CALL_TYPE_UNSPECIFIED
      enum:
        - FCM_MARGIN_CALL_TYPE_UNSPECIFIED
        - FCM_MARGIN_CALL_TYPE_URGENT
        - FCM_MARGIN_CALL_TYPE_REGULAR
    coinbase.public_rest_api.FcmMarginCallState:
      type: string
      default: FCM_MARGIN_CALL_STATE_UNSPECIFIED
      enum:
        - FCM_MARGIN_CALL_STATE_UNSPECIFIED
        - FCM_MARGIN_CALL_STATE_CLOSED
        - FCM_MARGIN_CALL_STATE_ROLLED_OVER
        - FCM_MARGIN_CALL_STATE_DEFAULT
        - FCM_MARGIN_CALL_STATE_OFFICIAL

````